Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceBaseCodeBean<N extends AbstractTreeNode<N>>

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<N>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean<N>

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<N>`, `TreeNode<N>`

Direct Known Subclasses:
  `VoiceCostMapItem`, `VoiceGeographicCode`, `VoiceZoneMapItem`

    public class VoiceBaseCodeBean<N extends AbstractTreeNode<N>>
    extends AbstractTreeNode<N>
    implements java.lang.Cloneable

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceBaseCodeBean()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `clone()` |
  `java.lang.String` | `getCode()` |
  `java.util.Date` | `getDateFrom()` | Получение даты начала действия географического кода.
  `java.util.Date` | `getDateTo()` | Получение даты окончания действия географического кода.
  `int` | `getDestinationId()` |
  `java.lang.String` | `getDestinationTitle()` |
  `int` | `getLevel()` |
  `void` | `setCode​(java.lang.String code)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` | Установка даты начала действия географического кода.
  `void` | `setDateTo​(java.util.Date dateTo)` | Установка даты начала действия географического кода.
  `void` | `setDestinationId​(int destinationId)` |
  `void` | `setDestinationTitle​(java.lang.String destinationTitle)` |
  `void` | `setLevel​(int level)` |

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, setParentId, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceBaseCodeBean

    public VoiceBaseCodeBean()

- ## Method Details

  - ### getLevel

    public int getLevel()

  - ### setLevel

    public void setLevel​(int level)

  - ### getCode

    public java.lang.String getCode()

  - ### setCode

    public void setCode​(java.lang.String code)

  - ### getDestinationTitle

    public java.lang.String getDestinationTitle()

  - ### setDestinationTitle

    public void setDestinationTitle​(java.lang.String destinationTitle)

  - ### getDestinationId

    public int getDestinationId()

  - ### setDestinationId

    public void setDestinationId​(int destinationId)

  - ### getDateFrom

    public java.util.Date getDateFrom()
    Получение даты начала действия географического кода.
    Returns:
      дата начала.

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)
    Установка даты начала действия географического кода.
    Parameters:
      `dateFrom` - дата начала

  - ### getDateTo

    public java.util.Date getDateTo()
    Получение даты окончания действия географического кода.
    Returns:
      дата окончания.

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)
    Установка даты начала действия географического кода.
    Parameters:
      `dateTo` - дата окончания.

  - ### clone

    public java.lang.Object clone() throws java.lang.CloneNotSupportedException
    Overrides:
      `clone` in class `java.lang.Object`
    Throws:
      `java.lang.CloneNotSupportedException`